Results 1 to 3 of 3

Thread: Can't install Intellj

  1. #1

    Unhappy Can't install Intellj

    Hello everyone.
    I'm having a problem with IntellJ.
    I've tried to run idea.sh but I'm getting this output:

    Code:
    lucassith@linux-fgb5:~/bin> sudo ./idea.sh
    Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=350m; support was removed in 8.0
    Exception in thread "main" java.awt.HeadlessException: Unable to detect graphics environment
    No X11 DISPLAY variable was set, but this program performed an operation which requires it.
            at com.intellij.idea.Main.main(Main.java:63)
    Java --version outputs

    Code:
    lucassith@linux-fgb5:~> java -version
    java version "1.8.0_40"
    Java(TM) SE Runtime Environment (build 1.8.0_40-b26)
    Java HotSpot(TM) 64-Bit Server VM (build 25.40-b25, mixed mode)
    I have KDE Desktop + Nvidia Optimus. Do you know what may cause this error? I have to add that I've installed JDK for NetBeans, and it works properly.

  2. #2

    Default [solved] Can't install Intellj

    For the future - install without sudo

    self-solved

  3. #3
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,076

    Default Re: Can't install Intellj

    On Wed, 01 Apr 2015 21:36:01 +0000, Lucassith wrote:

    > Do you know what may cause this error?


    You're running with sudo and root doesn't have permission to access the
    display.

    Try using kdesu/gnomesu instead.

    Jim



    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •